Status: Closed   

Priority: Normal   

Category:    

Customer: AUDI Product Issue

Numbers:

https://www.cip.audi.de/jira/browse/ACO

RE-10302

Department: EF Affected Products: ADTF 3.6.2

Requester's Priority: Normal Platform: Ubuntu 16.04 64bit, Windows 10 64bit

Support Level: 2nd Level Topic: ADTF::CE

Resolution: Product Issue Opened FAQ Links:  

Description

Supportanfrage

Properties

Bei Properties wird gern die Einheit mit visualisiert, z.B. [m/s]

Problem: der "/" wird als Trenner in der Hierarchie verwendet. Kann man das Escapen? Wenn ja, wie?

Validation Protocol

Hier ist wünschenswert, dass man die Fehlermeldungen kopieren/exportieren kann

Lösung

Intern haben wir uns abgestimmt und sind der Meinung, das eine Einheit eigentlich nicht in den Namen sollte.

Es soll ein zusaetzlicher Knoten an jede Property, welcher eine Einheit beinhalten kann.

Diese kann dann im CE oder anderen Tools angezeigt werden via Tooltip, etc

History

#1 - 2019-12-12 09:22 - hidden

- Project changed from Public Support to 11

- Topic set to ADTF::CE

- Customer set to AUDI

- Department set to EF

- Affected Products ADTF 3.6.2 added

#2 - 2019-12-12 09:28 - hidden

- Status changed from New to In Progress

Hallo Jens,

nur zur Sicherheit: Version ist/war ADTF 3.6.2?

#3 - 2019-12-12 09:54 - hidden

Hi Jens,

ein paar Rueckfragen:

Bei Properties wird gern die Einheit mit visualisiert, z.B. [m/s]

 Es geht hier um den Namen der Property? Also zum Beispiel: "speed[m/s]"

Hier ist wünschenswert, dass man die Fehlermeldungen kopieren/exportieren kann

2024-04-30 1/2



 Moechtest du gerne das komplette Validation Protocol exportieren? oder geht es dir nur darum einzelene Zeilen zu kopieren?

MfG

Basti

#4 - 2019-12-12 15:09 - hidden

Version ist ADTF 3.6.0

Es geht um den Namen der Property, also z.B: speed[m/s]

Ich könnte mir auch vorstellen, dass man den Namen von der Einheit trennt. Dann ist aber die Frage: Wohin damit? In dem Moment, wo ich

den Wert lesen/ändern/schreiben will, muss die Info zur Einheit ersichtlich sein.

Export beim Validation Protcol: Sowohl einzelne Einträge als auch das komplette Log zu kopieren/exportieren wäre hilfreich.

#5 - 2019-12-19 16:07 - hidden

- Status changed from In Progress to To Be Closed

- Resolution set to Product Issue Opened

- Product Issue Numbers set to ACORE-10302

- Platform Ubuntu 16.04 64bit, Windows 10 64bit added

Hallo Jens,

intern haben wir uns abgestimmt und sind der Meinung, das eine Einheit eigentlich nicht in den Namen sollte.

Es soll ein zusaetzlicher Knoten an jede Property, welcher eine Einheit beinhalten kann.

Diese kann dann im CE oder anderen Tools angezeigt werden via Tooltip, etc.

Mfg

Sebastian

#6 - 2019-12-19 16:07 - hidden

- Product Issue Numbers changed from ACORE-10302 to https://www.cip.audi.de/jira/browse/ACORE-10302

#7 - 2020-01-16 15:51 - hidden

- Project changed from 11 to Public Support

- Description updated

- Private changed from Yes to No

#8 - 2020-01-16 16:10 - hidden

- Status changed from To Be Closed to Closed
